package db

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_o2o_business.git/db/model"
	zhios_o2o_business_logx "code.fnuoos.com/go_rely_warehouse/zyos_go_o2o_business.git/utils/logx"
	"xorm.io/xorm"
)

func MerchantFindByStoreManager(Db *xorm.Engine, uid string) (*model.O2oStore, error) {
	var m model.O2oStore
	if has, err := Db.Where("store_manager = ?", uid).
		Get(&m); err != nil || has == false {
		return nil, zhios_o2o_business_logx.Warn(err)
	}
	return &m, nil
}
